petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGASMSetType

Sets the type of restriction and interpolation used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGASMSetType(PC pc,PCGASMType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - variant of GASM, one of

          PC_GASM_BASIC       - full interpolation and restriction
          PC_GASM_RESTRICT    - full restriction, local processor interpolation
          PC_GASM_INTERPOLATE - full interpolation, local processor restriction
          PC_GASM_NONE        - local processor restriction and interpolation

### Options Database Key

-pc_gasm_type [basic,restrict,interpolate,none] -Sets GASM type

### Keywords

PC, GASM, set, type

### See Also

PCGASMSetSubdomains(), PCGASMGetSubKSP(),
PCGASMCreateSubdomains2D()

Level:intermediate
Location:src/ksp/pc/impls/gasm/gasm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages